import DS from 'ember-data'
import add_business_day_computations from 'ember-panda/utils/business-day-computations'

Model =
  workflow_action_definition: DS.belongsTo('panda/workflow-action-definition', inverse: 'workflow_action_offsets')
  base_workflow_action_definition: DS.belongsTo('panda/workflow-action-definition')
  project_scenario: DS.belongsTo('panda/project-scenario')
add_business_day_computations Model, 'offset', add_attributes: true
add_business_day_computations Model, 'batch_element_threshold', add_attributes: true #, default_unit: 'businessday'
export default DS.Model.extend(Model)
